%{?scl:%scl_package python-pytz}
%{!?scl:%global pkg_name %{name}}

%global srcname pytz

Summary:    Low-level AMQP client for Python (fork of amqplib)
Name:       %{?scl_prefix}python-pytz
Version:    2016.6.1
Release:    1%{?dist}
License:    MIT
Group:      Development/Languages
Url:        http://pytz.sourceforge.net/
Source0:    http://pypi.io/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
Patch0:     pytz-zoneinfo.patch

BuildRequires:  %{?scl_prefix}python-devel
BuildRequires:  %{?scl_prefix}python-setuptools
Requires:   tzdata
BuildRoot:      %{_tmppath}/%{pkg_name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This package contains extensions to the multiprocessing Pool.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1 -b .zoneinfo

%build
%{?scl:scl enable %{scl} "}
%{__python3} setup.py build
%{?scl:"}

%install
%{?scl:scl enable %{scl} "}
%{__python3} setup.py install --no-compile --root %{buildroot}
%{?scl:"}
rm -r %{buildroot}%{python3_sitelib}/pytz/zoneinfo

%clean
rm -rf %{buildroot}

%files
%doc LICENSE.txt CHANGES.txt README.txt
%{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}*.egg-info

%changelog
* Wed Oct 5 2016 Patrick Creech <pcreech@redhat.com> - 1.4.9-1
- Initial Release for 1.4.9

